Package org.mariadb.jdbc.internal.com.send.authentication.ed25519.math

## Class Field

- java.lang.Object
- - org.mariadb.jdbc.internal.com.send.authentication.ed25519.math.Field

All Implemented Interfaces:
  `Serializable`

    public class Field
    extends Object
    implements Serializable

An EdDSA finite field. Includes several pre-computed values.

Author:
  str4d
See Also:
  Serialized Form

### Field Summary

Fields
`FieldElement` `EIGHT`
`FieldElement` `FIVE`
`FieldElement` `FOUR`
`FieldElement` `ONE`
`FieldElement` `TWO`
`FieldElement` `ZERO`

### Constructor Summary

Constructors
`Field​(int b, byte[] q, Encoding enc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`FieldElement` `fromByteArray​(byte[] x)`
`int` `getb()`
`Encoding` `getEncoding()`
`FieldElement` `getQ()`
`FieldElement` `getQm2()`
`FieldElement` `getQm5d8()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ZERO

    public final FieldElement ZERO

#### ONE

    public final FieldElement ONE

#### TWO

    public final FieldElement TWO

#### FOUR

    public final FieldElement FOUR

#### FIVE

    public final FieldElement FIVE

#### EIGHT

    public final FieldElement EIGHT

### Constructor Detail

#### Field

    public Field​(int b,
                 byte[] q,
                 Encoding enc)

### Method Detail

#### fromByteArray

    public FieldElement fromByteArray​(byte[] x)

#### getb

    public int getb()

#### getQ

    public FieldElement getQ()

#### getQm2

    public FieldElement getQm2()

#### getQm5d8

    public FieldElement getQm5d8()

#### getEncoding

    public Encoding getEncoding()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`